import { ScanditHTMLElement } from '@scandit/web-datacapture-core/build/js/private/utils/index.js';

declare class CardListRestartBackButton extends ScanditHTMLElement {
    static tag: "scandit-label-card-list-restart-back-button";
    private restartButton;
    private backButton;
    private onRestartButtonClickHandler;
    private onBackButtonClickHandler;
    constructor();
    set variant(variant: "restart" | "back");
    connectedCallback(): void;
    private onRestartButtonClick;
    private onBackButtonClick;
    static create(): CardListRestartBackButton;
    static register(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        [CardListRestartBackButton.tag]: CardListRestartBackButton;
    }
    interface HTMLElementEventMap {
        restart: CustomEvent;
        back: CustomEvent;
    }
}

export { CardListRestartBackButton };
